<div xmlns:th="http://www.thymeleaf.org"
     xmlns:sec="http://www.thymeleaf.org/extras/spring-security"
     th:fragment="header">

  <nav class="navbar navbar-expand-lg" style="background-color: #b84f3c">
    <div class="container-fluid">
      <a class="navbar-brand" href="/" style="color: whitesmoke">Online Filmography</a>
      <button class="navbar-toggler" type="button" data-bs-toggle="collapse"
              data-bs-target="#navbarSupportedContent" aria-controls="navbarSupportedContent" aria-expanded="false" aria-label="Toggle navigation">
        <span class="navbar-toggler-icon"></span>
      </button>
      <div class="collapse navbar-collapse" id="navbarSupportedContent">
        <ul class="navbar-nav me-auto mb-2 mb-lg-0">
          <li class="nav-item">
            <a class="nav-link active" aria-current="page" href="/films" style="color: whitesmoke">Films</a>
          </li>
          <li class="nav-item">
            <a class="nav-link active" aria-current="page" href="/directors" style="color: whitesmoke">Directors</a>
          </li>
          <li class="nav-item" >
            <a class="nav-link active" aria-current="page" href="/my/films" style="color: whitesmoke">My films</a>
          </li>
        </ul>
        <div sec:authorize="isAuthenticated() && !hasRole('ADMIN')">
          <a class="nav-link active" style="float: right" href="/profile">My profile</a>
          <form class="d-flex" sec:authorize="!isAuthenticated()">
            <a href="/login" class="btn btn-primary" role="button" aria-disabled="true">Enter</a>
          </form>
          <form class="d-flex"sec:authorize="isAuthenticated()">
            <a href="/logout" class="btn btn-primary" role="button" aria-disabled="true">Exit</a>
          </form>
      </div>
    </div>
    </div>
  </nav>



</div>